NX Open C++ Reference Guide
|
Represents a @link Features::ShipDesign::ZFrameBuilder Features::ShipDesign::ZFrameBuilder@endlink <br> To create a new instance of this class, use @link Features::ShipCollection::CreateZFrameBuilder Features::ShipCollection::CreateZFrameBuilder @endlink <br>
Created in NX5.0.0.
More...
Additional Inherited Members | |
![]() | |
NXString | AttribName () |
Returns the attribute for name type. | |
NXString | AttribRef () |
Returns the attribute for reference type. | |
NXOpen::Features::ShipDesign::TransFrameListItemBuilder * | CreateTransFrameListItem () |
Create a list containing all required info to generate transverse frame. | |
NXString | FeatureNameSuffix () |
Returns the suffix name. | |
int | NegateFrame () |
Returns the reverse index since where frames turn to opposite. | |
void | SetAttribName (const NXString &attribName) |
Sets the attribute for name type. | |
void | SetAttribName (const char *attribName) |
Sets the attribute for name type. | |
void | SetAttribRef (const NXString &attribRef) |
Sets the attribute for reference type. | |
void | SetAttribRef (const char *attribRef) |
Sets the attribute for reference type. | |
void | SetFeatureNameSuffix (const NXString &featureNameSuffix) |
Sets the suffix name. | |
void | SetFeatureNameSuffix (const char *featureNameSuffix) |
Sets the suffix name. | |
void | SetNegateFrame (int negateFrame) |
Sets the reverse index since where frames turn to opposite. | |
NXOpen::Features::ShipDesign::TransFrameListItemBuilderList * | TransFrameNegList () |
Returns the negative list. | |
NXOpen::Features::ShipDesign::TransFrameListItemBuilderList * | TransFramePosList () |
Returns the positive list. | |
Represents a @link Features::ShipDesign::ZFrameBuilder Features::ShipDesign::ZFrameBuilder@endlink <br> To create a new instance of this class, use @link Features::ShipCollection::CreateZFrameBuilder Features::ShipCollection::CreateZFrameBuilder @endlink <br>
Created in NX5.0.0.